Bug 1126789 - [SNAPSHOT] : Snapshot creation failed on a volume where it was restored to a snapshot when glusterd was down on one the nodes
Summary: [SNAPSHOT] : Snapshot creation failed on a volume where it was restored to a ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Avra Sengupta
QA Contact: Anoop
URL:
Whiteboard: SNAPSHOT
Depends On: 1126813
Blocks: 1087818 1127087
TreeView+ depends on / blocked
 
Reported: 2014-08-05 09:46 UTC by senaik
Modified: 2016-09-17 13:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
If any node/glusterd is down when snapshot is restored then any subsequent snapshot creation fails. Workaround: Do not restore a snapshot, if node/glusterd is down.
Clone Of:
: 1127087 (view as bug list)
Environment:
Last Closed: 2016-01-29 14:00:52 UTC


Attachments (Terms of Use)

Description senaik 2014-08-05 09:46:14 UTC
Description of problem:
=====================
Restored a volume to a particular snapshot when glusterd was down on one of the nodes. After this snapshot creation on the volume fails with "brick ops" failed message 

Version-Release number of selected component (if applicable):
============================================================
glusterfs 3.6.0.25


How reproducible:
=================
1/1

Steps to Reproduce:
===================
1.Create a 2x2 distribute-replicate volume (vol0)
2.Fuse and NFS mount the volume and create files and take a snapshot of the volume. 
3.Create some more files and take another snapshot 
4.Stop glusterd on one of the nodes (rhs-arch-srv2)
5.Restore the volume to one of the snapshots , restore is successful
6.Start the volume . Mount the volume and check for files 
7.Bring back glusterd on node 2 (rhs-arch-srv2)
7.Create another snapshot on the volume . It fails with brick ops failed on rhs-arch-srv2. 
Further snapshot creation on the volume fails with the same error 

Also on checking "gluster v i" info of vol0 was not present , it came up after sometime. 
 
Actual results:
===============
snapshot creation fails 


Expected results:


Additional info:

Comment 2 senaik 2014-08-05 10:19:25 UTC
sosreports : 
===========
http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/snapshots/1126789/

Comment 6 Shalaka 2014-09-20 16:53:38 UTC
Please review and sign-off edited doc text.

Comment 7 Avra Sengupta 2015-07-23 10:28:07 UTC
Doc text looks good.

Comment 10 Avra Sengupta 2016-01-29 14:00:52 UTC
This scenario will not occur as we no longer allow snapshots to be taken or restored even when a single brick is down.


Note You need to log in before you can comment on or make changes to this bug.